Summary: VIRGO Cm library
Name: virgoApp-Cm
Version: 8.9.0
Release: 1%{?dist}
License: GNU General Public License Version 3
Source: virgoApp-Cm-8.9.0.tar.gz
URL: http://www.ego-gw.it
Packager: Edward Maros <ed.maros@ligo.org>
Group: Application/Scientific
Requires: virgoApp-CSet
BuildRoot: %{buildroot}
Buildrequires: virgoApp-CSet-devel
Buildrequires: cmake
Buildrequires: pkgconfig

%description
This is a collection of tools used by the LIGO scientific community

%package devel
Group: Development/Scientific
Summary: VIRGO Cm library
%description devel
This provides the develpement files the VIRGO Cm library.
Requires: virgoApp-Cm

%prep
%setup -q

%build
%cmake .

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_bindir}/NameServer
rm -f %{buildroot}%{_bindir}/NameServer.exe


%check
ctest -V %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 04 2016 Edward Maros <ed.maros@ligo.org> - 2.9.0
- Initial build.
