#ifndef __Cm__CmHandle_ph__
#define __Cm__CmHandle_ph__

void CmMessageHandleInstall (CmHandle* handle);
void CmMessageHandleUninstall (CmHandle* handle);
void CmMessageHandleClear (CmHandle* handle);
void CmMessageHandleSet (CmHandle* handle, CmMessage message);
CmMessage CmMessageHandleGet (CmHandle* handle);

void CmConnectHandleInstall (CmHandle* handle);
void CmConnectHandleUninstall (CmHandle* handle);
void CmConnectHandleClear (CmHandle* handle);
void CmConnectHandleSet (CmHandle* handle, CmConnect connect);
CmConnect CmConnectHandleGet (CmHandle* handle);
void CmConnectHandleClearAll (CmConnect connect);

void CmIteratorHandleInstall (CmHandle* handle);
void CmIteratorHandleUninstall (CmHandle* handle);
void CmIteratorHandleClearAll (CmMessageIterator iterator);
void CmIteratorHandleClear (CmHandle* handle);
void CmIteratorHandleSet (CmHandle* handle, CmMessageIterator iterator);
CmMessageIterator CmIteratorHandleGet (CmHandle* handle);

void CmCvtHandleInstall (CmHandle* handle);
void CmCvtHandleUninstall (CmHandle* handle);
void CmCvtHandleClear (CmHandle* handle);
void CmCvtHandleSet (CmHandle* handle, Cvt cvt);
Cvt CmCvtHandleGet (CmHandle* handle);
void CmCvtHandleClearAll (Cvt cvt);

#endif /* __Cm__CmHandle_ph__ */
